FIX::Trailer Class Reference

`#include <Message.h>`

Inheritance diagram for FIX::Trailer:
[legend]
Collaboration diagram for FIX::Trailer:
[legend]

## Public Member Functions

| Trailer ()
Public Member Functions inherited from FIX::FieldMap
| FieldMap (const message_order &order=message_order(message_order::normal))
| FieldMap (const int order[])
| FieldMap (const FieldMap &copy)
virtual | ~FieldMap ()
FieldMap & | operator= (const FieldMap &rhs)
void | setField (const FieldBase &field, bool overwrite=true) throw ( RepeatedTag )
| Set a field without type checking. More...
void | setField (int field, const std::string &value) throw ( RepeatedTag, NoTagValue )
| Set a field without a field class. More...
bool | getFieldIfSet (FieldBase &field) const
| Get a field if set. More...
FieldBase & | getField (FieldBase &field) const throw ( FieldNotFound )
| Get a field without type checking. More...
const std::string & | getField (int field) const throw ( FieldNotFound )
| Get a field without a field class. More...
const FieldBase & | getFieldRef (int field) const throw ( FieldNotFound )
| Get direct access to a field through a reference. More...
const FieldBase *const | getFieldPtr (int field) const throw ( FieldNotFound )
| Get direct access to a field through a pointer. More...
bool | isSetField (const FieldBase &field) const
| Check to see if a field is set. More...
bool | isSetField (int field) const
| Check to see if a field is set by referencing its number. More...
void | removeField (int field)
| Remove a field. If field is not present, this is a no-op. More...
void | addGroup (int field, const FieldMap &group, bool setCount=true)
| Add a group. More...
void | addGroupPtr (int field, FieldMap *group, bool setCount=true)
| Acquire ownership of Group object. More...
void | replaceGroup (int num, int field, const FieldMap &group)
| Replace a specific instance of a group. More...
FieldMap & | getGroup (int num, int field, FieldMap &group) const throw ( FieldNotFound )
| Get a specific instance of a group. More...
FieldMap & | getGroupRef (int num, int field) const throw ( FieldNotFound )
| Get direct access to a field through a reference. More...
FieldMap * | getGroupPtr (int num, int field) const throw ( FieldNotFound )
| Get direct access to a field through a pointer. More...
void | removeGroup (int num, int field)
| Remove a specific instance of a group. More...
void | removeGroup (int field)
| Remove all instances of a group. More...
bool | hasGroup (int field) const
| Check to see any instance of a group exists. More...
bool | hasGroup (int num, int field) const
| Check to see if a specific instance of a group exists. More...
size_t | groupCount (int field) const
| Count the number of instance of a group. More...
void | clear ()
| Clear all fields from the map. More...
bool | isEmpty ()
| Check if map contains any fields. More...
size_t | totalFields () const
std::string & | calculateString (std::string &) const
int | calculateLength (int beginStringField=FIELD::BeginString, int bodyLengthField=FIELD::BodyLength, int checkSumField=FIELD::CheckSum) const
int | calculateTotal (int checkSumField=FIELD::CheckSum) const
iterator | begin () const
iterator | end () const
g_iterator | g_begin () const
g_iterator | g_end () const

## Additional Inherited Members

Public Types inherited from FIX::FieldMap
typedef std::multimap< int, FieldBase, message_order, ALLOCATOR< std::pair< const int, FieldBase > > > | Fields
typedef std::map< int, std::vector< FieldMap *>, std::less< int >, ALLOCATOR< std::pair< const int, std::vector< FieldMap *> > > > | Groups
typedef Fields::const_iterator | iterator
typedef iterator | const_iterator
typedef Groups::const_iterator | g_iterator
typedef Groups::const_iterator | g_const_iterator

## Detailed Description

Definition at line 54 of file Message.h.

## Constructor & Destructor Documentation

## Trailer()

FIX::Trailer::Trailer | ( |  | ) |

inline

Definition at line 57 of file Message.h.

: FieldMap(message_order( message_order::trailer ) )
{}
FIX::message_order::trailer
Definition: MessageSorters.h:116
FIX::FieldMap::FieldMap
FieldMap(const message_order &order=message_order(message_order::normal))
Definition: FieldMap.h:64

The documentation for this class was generated from the following file:

- Message.h